Bug 1494421 - [Tracker] RHSC 3.0 Release Notes
Summary: [Tracker] RHSC 3.0 Release Notes
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 3.0
Assignee: Bara Ancincova
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Keywords: Tracking
Depends On: 1359408 1361754 1418606 1451786 1489301 1491246 1493476 1503692 1508506 1509201 1509266 1509374 1514007 1518696 1552210 1595288 1266202 1267636 1305670 1313935 1330732 1332083 1337018 1340080 1344212 1344262 1353877 1362014 1366807 1367186 1369586 1387437 1406551 1409117 1410923 1415778 1417163 1423402 1427512 1428634 1434175 1436782 1441693 1450754 1451936 1452762 1455711 1458024 1458512 1459967 1461551 1462012 1464955 1464957 1464964 1464966 1464976 1464980 1464981 1467352 1470826 1470829 1470837 1472874 1473386 1473399 1473405 1474436 1475016 1475032 1475982 1477239 1477248 1477300 1477311 1477711 1479673 1481828 1482067 1482579 1483096 1486534 1486535 1489064 1491170 1492115 1492342 1492589 1494256 1494987 1500757 1502021 1502384 1502740 1503411 1505400 1505457 1505942 1506102 1507943 1508451 1508460 1508695 1508876 1509130 1509230 1510555 1515153 1516457 1518666 1518788 1528432 1530673 1544720 1544808 1549293 1552699
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-22 08:52 UTC by Anjana Suparna Sriram
Modified: 2019-01-09 23:02 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-01-08 10:32:21 UTC


Attachments (Terms of Use)

Description Anjana Suparna Sriram 2017-09-22 08:52:42 UTC
This tracker bug is not a tracker just for known issues but for every change that should appear in the Release Notes - major updates, technical previews, deprecated functions, and so on.

If there is a change that does not have a separate bug (for example it is a change introduced in a rebase), add that rebase bug as a blocker and specify the nature of the change in the doc text field of that bug.

**How to let us know that a bug should be documented in the Release Notes**

1) Add the BZ number of the bug that needs to be documented to the "Depends On" field in the Release Notes tracker bug. Alternatively, add the tracker bug BZ number to the "Blocks" field in the bug that needs to be documented.

2) In the bug that needs to be documented, set the doc type to one of the following:

* bug fix - for notable bug fixes that have significant impact on customers

* enhancement - for new features and major enhancements, RFE bugs

* technology preview - for new features shipped as tech previews

* known issues - for the known issues found in this release

3) In the bug that needs to be documented, fill in the Doc Text field with the initial information. Use the template that is in the field.

----

**Candidates for inclusion**

* Bugs with a customer case attached

* Major new features and enhancements

* Bugs with significant impact on users

* Urgent or high priority bugs

* Fixed known issues

----

**How a good initial description looks like**

* Use the cause-consequence-fix-result (CCFR) format for bug fixes:

  Cause – what user action or circumstances trigger this bug 
    
  Consequence – what the user experiences when the bug occurs 
   
  Fix – what has been changed to fix the bug (overly technical details are not necessary)
    
  Result – what happens now with the fix applied

* Use the feature-reason-result (FFR) format for major updates:

    Feature – describes the enhancement from the user's point of view
    
    Reason – why was the enhancement implemented
    
    Result – what is the current user experience (may also be compared to the previous user experience)

----

**I want to document a change that does not have bug - how to do it?**

Add a comment here, we will add that description manually.

Comment 13 Anjana Suparna Sriram 2018-01-08 10:32:21 UTC
Release Notes published with RHCS 3.0 GA on Dec 6th


Note You need to log in before you can comment on or make changes to this bug.